<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="jsonString">
            <h2><span>Json String</span> {{ jsonString.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span>Key</span></dt>
                <dd>
                    <span>{{ jsonString.key }}</span>
                </dd>
                <dt><span>Value</span></dt>
                <dd>
                    <span>{{ jsonString.value }}</span>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/json-string', jsonString.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
            </button>
        </div>
    </div>
</div>
